{
  "name": "hlae-site",
  "version": "0.1.0",
  "private": true,
  "type": "module",
  "workspaces": [
    "web",
    "backend"
  ],
  "scripts": {
    "dev": "concurrently -n 'backend,web' -c '#007755,#2f6da3' 'cd backend && bun run dev' 'cd web && bun run dev'",
    "dev:web": "bun run --filter=web dev",
    "dev:backend": "bun run --filter=backend dev",
    "build": "concurrently -n 'backend,web' -c '#007755,#2f6da3' 'cd backend && bun run build' 'cd web && bun run build'",
    "build:web": "bun run --filter=web build",
    "build:backend": "bun run --filter=backend build",
    "build:seq": "bun run build:backend && bun run build:web",
    "lint": "concurrently -n 'backend,web' 'cd backend && bun run lint' 'cd web && bun run lint'",
    "lint:fix": "concurrently -n 'backend,web' 'cd backend && bun run lint:fix' 'cd web && bun run lint:fix'",
    "format": "prettier --write .",
    "typecheck": "concurrently -n 'backend,web' 'cd backend && bun run typecheck' 'cd web && bun run typecheck'"
  },
  "devDependencies": {
    "@eslint/js": "^10.0.1",
    "@types/bun": "^1.3.10",
    "@types/node": "^25.4.0",
    "@types/react": "^19.2.14",
    "@types/react-dom": "^19.2.3",
    "bun-plugin-tailwind": "^0.1.2",
    "concurrently": "^9.2.1",
    "eslint": "^10.0.3",
    "eslint-config-prettier": "^10.1.8",
    "eslint-plugin-react": "^7.37.5",
    "eslint-plugin-react-hooks": "^7.0.1",
    "eslint-plugin-react-refresh": "^0.5.2",
    "globals": "^17.4.0",
    "prettier": "^3.8.1",
    "prettier-plugin-tailwindcss": "^0.7.2",
    "typescript": "~5.9.3",
    "typescript-eslint": "^8.57.0"
  }
}
